Subject: fd dev

From: [email-masked]
Date: Sun, 05 Apr 92 11:44:47 BST

Someone has written asking me what is wrong with
    /dev/at0
    /dev/xt0
as names for floppy disks.  Well, I am not a beginner either
with DOS or with unix, but the only clue I have to what they
mean is that, for Minix, /dev/at0 is a 1.2mb 5.25in drive.
Does this mean that /dev/xt0 is a 1.4mb 3.5in drive?
These names are meaningless to me, and ought to be eliminated.
 
Someone else has written to say, with repect to my suggestion
    /dev/fd0h3
    /dev/fd0q5
    /dev/fd1d3
that we ought to eliminate the final digit.  Unfortunately this
means that on some systems /dev/fd0h would be a three inch disk,
on others a 5 inch disk, so that the same name would refer to
different devices.  This in turn would lead to software (eg
versions of mtools) that would work on one system but not on
another, and for a reason which would be very hard for us net
friends to track down (at least the first time).  If someone
wants to link fd0h to whatever is appropriate for his machine,
let him do so, but software should not be distributed which
refers to system specific devices.
 
Someone asked who uses various disk sizes.  Around here we have
many 3.5 inch disks at all three densities (double, quad, high)
and many 5.25 inch disks at two densities (double, high).  This
is partly because of media prices and partly for historical
reasons, but I don't see any prospect of the odd densities
disappearing for a few years.  You may not be in this fix, but
many other educational institutions will probably be.
 
     -- Owen
     [email-masked]